if not exists (select top 1 1 from Machine where MachineName = '***REMOVED***')
begin
	insert into Machine(MachineName, FullMachineName, MACAddress, IPv4Address, [Description])
	select '***REMOVED***', '***REMOVED***', '***REMOVED***', '***REMOVED***', 'The old ***REMOVED*** host and the first public server of the lab'
end

declare @machine_id int, @server_performer_id int
select @machine_id = MachineId from Machine where MachineName = '***REMOVED***'
select @server_performer_id = PerformerId from PowerActionPerformer where PerformerCode = 'NETWORK_RESURRECTOR_SERVER'

if not exists (select top 1 1 from PowerActionConfiguration where MachineId = @machine_id)
begin
	insert into PowerActionConfiguration (MachineId, PowerActionId, PerformerId)
	select @machine_id,
		   PowerActionId, 
		   @server_performer_id
	from PowerAction
	where PowerActionCode in ('WAKE', 'PING')
end